ppdc(1)

NAME
ppdc - CUPS-PPD-Compiler (veraltet)

SYNOPSIS
ppdc [ -D Name[=Wert] ] [ -I Include-Verzeichnis ] [ -c Nachrichtenkatalog ] [ -d Ausgabeverzeichnis ] [ -l Sprache(n) ] [ -m ] [ -t ] [ -v ] [ -z ] [ --cr ] [ --crlf ] [ --lf ] Quelldatei

BESCHREIBUNG
ppdc übersetzt PPDC-Quelldateien in eine oder mehrere PPD-Dateien. Dieses Programm ist veraltet und wird in einer zukünftigen Veröffentlichung von CUPS entfernt.

OPTIONEN
ppdc unterstützt die folgenden Optionen:

-D Name[=Wert]
    Setzt die benannte Variable für die Verwendung in der Quelldatei. Dies ist äquivalent zu der Verwendung von #define-Direktiven in der Quelldatei.

-I Include-Verzeichnis
    Legt ein alternatives Include-Verzeichnis fest. Die Option -I kann mehrfach verwandt werden, um zusätzliche Verzeichnisse hinzuzufügen.

-c Nachrichtenkatalog
    Legt eine einfache Nachrichtenkatalogdatei im GNU-Gettext- (Dateiname.po) oder Apple-Strings- (Dateiname.strings) Format für die Verwendung in der Lokalisierung fest.

-d Ausgabeverzeichnis
    Legt das Ausgabeverzeichnis für PPD-Dateien fest. Die Vorgabe für das Ausgabeverzeichnis ist »ppd«.

-l Sprache(n)
    Legt eine oder mehrere Sprachen fest, die bei der Lokalisierung von PPD-Datei(n) verwandt werden sollen. Die Vorgabesprache ist »en« (englisch). Mehrere Sprachen können mit Kommata getrennt angegeben werden, z.B. wird »de_DE,en_UK,es_ES,es_MX,es_US,fr_CA,fr_FR,it_IT« PPD-Dateien mit deutschen, UK-englischen spanischen (Spanien, Mexiko und USA), französischen (Frankreich und Kanada) und italienischen Sprachen in einer Datei erstellen.

-m  Legt fest, dass der Ausgabename auf dem Wert von ModelName statt von FileName oder PCFileName basieren soll.

-t  Legt fest, dass PPD-Dateien getestet anstatt erstellt werden sollen.

-v  Legt ausführliche Ausgabe fest, im Prinzip ein laufender Status welche Dateien geladen oder geschrieben werden. -z erstellt komprimierte PPD-Dateien (Dateiname.ppd.gz). Standardmäßig werden unkomprimierte PPD-Dateien erstellt.

--cr

--crlf

--lf
    Legt das zu verwendende Zeilenende fest - Wagenrücklauf, Wagenrücklauf und Zeilenumbruch oder nur Zeilenumbruch. Standardmäßig wird nur ein Zeilenumbruch verwandt.

HINWEISE
PPD-Dateien sind veraltet und werden in einer zukuünftigen Funktionsveröffentlichung von CUPS nicht mehr unterstützt. Drucker, die IPP nicht unterstützen, können mittels Anwendungen wie ippeveprinter(1) unterstützt werden.

SIEHE AUCH
ppdhtml(1), ppdi(1), ppdmerge(1), ppdpo(1), ppdcfile(5), CUPS-Online-Hilfe (http://localhost:631/help)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.